import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type SubscribeDocument = Subscribe & Document;

@Schema({ collection: 'subscribe_plan' })
export class Subscribe extends Document {
  @Prop({ required: true })
  title: string;
}
export const SubscribeSchema = SchemaFactory.createForClass(Subscribe);
